Installing on Firefox 3 Rated 5 out of 5 stars

This extension is definitely better than the new version (I love having popular/recommended tags).

For those of you can't install this by unzipping/editting/zipping, try this:
* Uninstall the newest delicious plugin if you've already got it installed.
* Download this plugin to your desktop: https://addons.mozilla.org/en-US/firefox/downloads/file/15592/del.icio.us_buttons-1.2.1-fx.xpi
* In address bar, enter about:config
* Acknowledge the warning and continue
* Right click anywhere on the list of configuration options, go to New -> Boolean
* Type in 'extensions.checkCompatibility' for the name and false for the value.
* Open the downloaded xpi file from above and firefox will automatically install it.
* Restart Firefox. As of this step, it should work perfectly except you'll see warning in the addons dialog saying its incompatible (but will still work). Follow the following steps to remove the warning.
* Shut down Firefox. Go to your Firefox profiles directory
* Look through the sub directories in the extensions directory. Check the install.rdf file. You'll find one of them has 'del.icio.us' written somewhere in it. Change the value for 'maxVersion' to 3.0.0.*. Save, restart firefox.
* The addons panel will give a warning saying Incompatibility Checking is turned off. Enable it.
* Enjoy :)